
TYPO3.Flow - Bug # 25966

Status: Resolved Priority: Must have
Author: Andreas Förthner Category: Persistence
Created: 2011-04-14 Assigned To: Sebastian Kurfuerst
Updated: 2011-05-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: ResourcePointer breaks if you upload the same file twice
Description

As ResourcePointer is no valueobject (for doctrine) anymore, the resource manager creates a second one for the same file, if you
upload it twice. Now the sha1 hash is the identifier of the ResourcePointer, and therefore we get a duplicate entry error from the
database as we have twice the "same" object.

Related issues:
related to Conference Management - Task # 26667: Fix Image Upload from plugin Resolved 2011-05-06
related to TYPO3.Flow - Bug # 26886: Uploaded resources get lost on validatio... Resolved 2011-05-18
blocks Conference Management - Story # 26663: Solve FLOW3/Phoenix bugs for sp... Resolved 2011-05-06

Associated revisions
Revision 3fd0ed84 - 2011-05-19 11:55 - Sebastian Kurfuerst

[+BUGFIX] (Resource): Fix file upload

    -  ResourcePointer instances are now automatically created (or fetched)
  as soon as an image is uploaded.

    -  the ResourceTypeConverter can now build Resource objects which
  have been uploaded before.

Change-Id: Ibc6970524967d18fdab84639f7d53ddcf8c27c00
Related: #26667
Resolves: #25966
Resolves: #26886

History
#1 - 2011-04-15 19:43 - Karsten Dambekalns
- Category set to Resource
- Target version set to 1.0 beta 1

#2 - 2011-04-27 13:51 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2011-04-27 13:51 - Karsten Dambekalns
- Category changed from Resource to Persistence

#4 - 2011-05-19 11:54 - Sebastian Kurfuerst
- Status changed from Accepted to Under Review
- Assigned To changed from Karsten Dambekalns to Sebastian Kurfuerst
- % Done changed from 0 to 100

#5 - 2011-05-19 11:55 - Mr. Hudson

Patch set 2 of change Ibc6970524967d18fdab84639f7d53ddcf8c27c00 has been pushed to the review server.
It is available at http://review.typo3.org/2222

#6 - 2011-05-19 16:44 - Bastian Waidelich

Note: I think, the correct approach is, to always resend the uploaded file (e.g. it's resource pointer hash) on submit even if it was not changed. Just like
other form fields.
This way you can reset the value to an empty string on order to remove an uploaded resource. Needs to be discussed though.

#7 - 2011-05-20 09:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

Applied in changeset commit:3fd0ed84a2aa1162cac9af664565add23a280b67.
